#
# spec file for package python-q
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-q
Version:        2.6
Release:        bp155.2.10
Summary:        Quick-and-dirty debugging output for tired programmers
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/zestyping/q
Source:         https://files.pythonhosted.org/packages/source/q/q/q-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Quick-and-dirty debugging output for tired programmers.

%prep
%setup -q -n q-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec test/test_basic.py

%files %{python_files}
%doc README.md
%{python_sitelib}/*

%changelog
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Format with spec-cleaner
* Wed Sep 11 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.6
